import fluid.events.IObservable;

/**
 * -----------------------------------------------------------------
 * Copyright (c) 2000-2006 Fluid, Inc. All Right Reserved.
 * This software is the proprietary information of Fluid, Inc.
 * Use is subject to strict licensing terms.
 * -----------------------------------------------------------------
 *
 * Essentially a marker interface. This more clearly communicates the 
 * significance of being observable for a Command. IAsynchronousCommands are
 * expected to dispatch a CommandEvent upon completion, with a success getter
 * property indicating the ultimate result.
 * 
 * @version $Revision: 1.4 $
 * @author $Author: ward $
 * 
 * @author Ward Ruth
 */
interface fluid.command.IAsynchronousCommand 
		extends IObservable
{
	
}